Page MenuHomePhabricator

Create eliminator group at Vietnamese Wikibooks
Closed, ResolvedPublic

Description

The Vietnamese Wikibooks community has voted to enable the eliminator user group (which was enabled at the Vietnamese Wikipedia in T70612). The group is called “điều phối viên” in Vietnamese. So far, no formal policy page has been written for the group, but we expect to copy the Vietnamese Wikipedia policy pretty closely. No users have run for eliminator yet. The wiki has no bureaucrat, so it would be up to Meta stewards to grant the permissions based on community approval.

Event Timeline

mxn created this task.Aug 18 2018, 10:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 18 2018, 10:39 PM

@mxn Can you tell which right this group should have ? FYI here is the current config for viwiki:

	'viwiki' => [
		'eliminator' => [ // T70612
			'autopatrol' => true,
			'delete' => true,
			'deletedhistory' => true,
			'deletedtext' => true,
			'deleterevision' => true,
			'patrol' => true,
			'protect' => true,
			'rollback' => true,
			'undelete' => true
		],
MarcoAurelio triaged this task as Low priority.Aug 21 2018, 8:50 AM

Can you please confirm you want to have the eliminator user group set up exactly like it is set on viwiki, to repeat the technical config Framawiki quoted, eliminator should be able to:

  • (un)delete pages
  • view deleted pages
  • make edits as patrolled
  • protect pages
  • rollback edits

Is that right?

As the result in local consensus, the Vietnamese Wikibooks community agreed to adopt the same "elminator" group in vi.wp into vi.wb, so their rights should be the same as in vi.wp.

Change 460701 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Create eliminator group at Vietnamese Wikibooks

https://gerrit.wikimedia.org/r/460701

Change 460701 merged by jenkins-bot:
[operations/mediawiki-config@master] Create eliminator group at Vietnamese Wikibooks

https://gerrit.wikimedia.org/r/460701

Mentioned in SAL (#wikimedia-operations) [2018-10-03T11:30:13Z] <zfilipin@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:460701|Create eliminator group at Vietnamese Wikibooks (T202207)]] (duration: 00m 58s)

Urbanecm closed this task as Resolved.Oct 4 2018, 6:20 AM

Deployed.

Thank you very much.